Subject: Fwd: [rfc-i] Transitional RFC Editor recommendations published in draft-kowack-rfc-editor-model-v2

From: Russ Housley <[email-masked]>
Date: Tue, 26 Oct 2010 20:47:13 -0400

I'd like to make sure that all of you are aware that
draft-kowack-rfc-editor-model-v2 was posted.  Discussion
of it will take place on the [email-masked]
mail list.  If you have an interest in the RFC Editor
model, please review the document and participate in the
discussion on that list.

Enjoy,
Russ

> From: Glenn Kowack <[email-masked]>
> Date: October 26, 2010 12:31:26 PM PDT
> To: RFC Interest <[email-masked]>
> Subject: [rfc-i] Transitional RFC Editor recommendations published in draft-kowack-rfc-editor-model-v2
> 
> The Transitional RFC Series Editor (TRSE) role was created to maintain series continuity during 2010, and for the TRSE to learn the job through direct experience.   Based on that experience (I have been doing that role since last March) I was to make recommendations on the role of the RFC Series Editor (RSE), a job description, and a search and selection process.  The first draft of those TRSE recommendations are now available as an internet draft at 
> https://datatracker.ietf.org/doc/draft-kowack-rfc-editor-model-v2.  This is a revision to RFC 5620, which defined RFC Editor Model Version 1.  I will give a presentation on this, with Q&A, at the Monday plenary in Beijing.
> 
> The challenge in defining the RSE role - filled by a paid professional - is ensuring it is structured to advance the Series consistent with the requirements of the community, where nearly all positions are done by volunteers.  Equally important is defining a job that will be attractive to qualified candidates.
> 
> Like any specification, this document is detailed.  Furthermore, because it's important that readers see "the entire package" in one place, this draft includes sections that could have been placed in separate documents.  This makes it longer than 5620.  To aid in understanding the draft, I have included below the executive summary of the recommendations.  I urge you to read the summary before reviewing the draft.  This is also suitable for those of you who will not be able to read the entire document.
> 
> The IAB, at their request, has not yet seen the document.  Furthermore, although the RSAG (RFC Series Advisory Group) has seen and commented on the draft, because of time constraints I have not been able to include a large number of their very useful comments and corrections.  I had hoped to integrate RSAG comments before publicizing the draft, but the time required would have impacted presentations and discussions in Beijing.  So, integrating those suggestions will have to wait for the next draft.  This has one clear advantage: the community gets to participate in this process.  Net, this proposal has not been filtered in any way before the community gets to see it.
> 
> Finally, please join me in discussions on this list.  If there is interest, I will host one or more WebEx introductory and Q&A sessions later this week or early next. You may also contact me on skype ('gkowack') or by phone (+1 650 279 0990).  Please send email to [email-masked] in advance to schedule a call.
> 
> This document was prepared with the assistance of many members of the community, including of course the RFC Series Advisory Group (RSAG).  Many put in a great deal of time and effort.   Thank you.
> 
> I look forward to your comments on the list, and discussions in Beijing.
> 
> best regards,
> Glenn
> Transitional RFC Series Editor
> 
> ___
> 
>   Executive Summary: Refinements to the RFC Editor Model
> 
>   The RFC Series is the Internet technical community's official medium,
>   through which it communicates with itself and the rest of the world.
>   The RFC Editor is the community-defined and -supported function that
>   accepts documents from different streams, makes textual edits for
>   clarity and formal correctness as prescribed in the RFC Series Style
>   Manual, and publishes and archives those documents as RFCs for free
>   access by everyone.
> 
>   RFC 5620 first defined the components and processes of the present-
>   day RFC Editor (Model Version 1), including the RFC Series Editor
>   (RSE) as its leading component.  However, the attempt to hire a new
>   RSE proved difficult and resulted in retention of a Transitional RSE,
>   or TRSE.  The TRSE was asked to perform the RSE functions described
>   in RFC 5620, to determine if those descriptions matched what was
>   needed and, if necessary, recommend changes to the role of the RSE
>   and refinements to the RFC Editor model based on his experience.  The
>   central observation of the TRSE is that:
> 
>        the RSE role demands the expertise and experience of a senior
>        manager and subject matter expert in technical writing, technical
>        publishing, and technical series development.
> 
>   This observation drives the clarifications and changes recommended
>   here to RFC Editor Model Version 1.  Although modest, these changes
>   are fundamental to the future success of the RFC Editor's service to
>   the Internet community.  The first clarification is:
> 
>        the overall leadership and management of RFC Editor functions
>        must be by the RFC Series Editor - the editorial and publications
>        subject matter and management expert.
> 
>   However, this general leadership must be tempered by two
>   considerations.
> 
>   o  The Internet technical community has requirements, processes, and
>      traditions that must be followed by the RSE and across the entire
>      RFC Editor function
> 
>   o  The line between the responsibilities of the RSE and of the IETF
>      Administration and Oversight Committee (IAOC) must be clarified.
> 
>   The new model combines RFC Editor leadership as it would be practiced
>   in a typical not-for-profit organization with the following Internet
>   community-driven practices:
> 
>   o  seek community input appropriately and widely,
> 
>   o  encourage volunteer initiative and contribution, and
> 
>   o  practice supervision according to specified procedures.
> 
>   This model recommends collaboration between the RSE and the IAOC
>   analogous to the partnership between line management and finance as
>   practiced in most modern corporations:.
> 
>   o  The RSE is responsible for regular editorial activities
>      management, including long-term editorial planning.
> 
>   o  The IAOC retains its leadership of legal and financial matters.
> 
>   The RSE reports to the IAB for general matters.  The IAB retains its
>   responsibility for ensuring proper RSE policy formation and
>   adherence.
> 
>   Additional recommendations for changes to model provided in RFC 5620
>   include:
> 
>   o  The independence of the Independent Submission Stream and
>      Independent Submission Editor (ISE) is reiterated.
> 
>   o  The role of the RSE Advisory Group (RSAG) is marginally expanded
>      to ensure the RSE follows community will and to provide counsel to
>      the IAB when the RSE is either unavailable or the subject of a
>      discussion.
> 
>   This memo also clarifies the RSE's responsibility for maintaining
>   Series quality.  The updated model divides Series continuity, a key
>   element of the RSE role, into editorial and operational continuity.
>   To accomplish the former, the RSE is to maintain and develop the RFC
>   Series Style Manual.  To ensure the latter, the RSE is to develop and
>   maintain the RFC Series Procedures Manual.  To return the RFC Editor
>   to its historical level of independence, this memo recommends
>   creation of an RFC Editor stream.
> 
>   Finally, an updated RSE search and selection process is proposed.
>   This process is rooted in community participation, qualified
>   participants and expert advisors, and follows carefully described
>   procedures and elements to ensure a successful hire.
> 
>   An unexpected consequence of the TRSE effort is that most of the
>   changes proposed for the updated model return the RFC Editor to the
>   style and perspective used during the first 40 years of its life,
>   although adapted to today's structure and operation of the technical
>   community.  This memo concludes that this time-proven arrangement is
>   the best way, to serve the requirements of the Internet technical
>   community.
> 
> __end summary
> 
> _______________________________________________
> rfc-interest mailing list
> [email-masked]
> https://www.rfc-editor.org/mailman/listinfo/rfc-interest